/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/filesystem/io/xml/xmlparser.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/filesystem/filesystem.hpp"

CXMLParser *CXMLParser::ms_pSingleton;

CXMLParser::CXMLParser()
{
}

CXMLParser::~CXMLParser()
{
}

CXMLParser *CXMLParser::create()
{
	if (!ms_pSingleton) {
		ms_pSingleton = new CXMLParser;
	}
	return ms_pSingleton;
}

CXMLParser *CXMLParser::get()
{
	if (!ms_pSingleton) {
		ms_pSingleton = create();
	}
	return ms_pSingleton;
}

tBOOL CXMLParser::parseFile(sgxXMLTree &tree, CSGXFile &file)
{
	SGX_UNUSED(tree);
	SGX_UNUSED(file);
	return FALSE;
}
